Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.config
Interface SmartInstantiationAwareBeanPostProcessor

All Superinterfaces:
  BeanPostProcessor, InstantiationAwareBeanPostProcessor

All Known Implementing Classes:
  InstantiationAwareBeanPostProcessorAdapter, RequiredAnnotationBeanPostProcessor, ScriptFactoryPostProcessor

    public interface SmartInstantiationAwareBeanPostProcessor

extends InstantiationAwareBeanPostProcessor

Extension of the `InstantiationAwareBeanPostProcessor` interface, adding a callback for predicting the eventual type of a processed bean.

NOTE: This interface is a special purpose interface, mainly for internal use within the framework. In general, application-provided post-processors should simply implement the plain `BeanPostProcessor` interface or derive from the `InstantiationAwareBeanPostProcessorAdapter` class. New methods might be added to this interface even in point releases.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  `InstantiationAwareBeanPostProcessorAdapter`

Method Summary
`Constructor` | `determineConstructor(Class beanClass, String beanName)` Determine the constructor to use for the given bean.
`Class` | `predictBeanType(Class beanClass, String beanName)` Predict the type of the bean to be eventually returned from this processor's `InstantiationAwareBeanPostProcessor.postProcessBeforeInstantiation(java.lang.Class, java.lang.String)` callback.

Methods inherited from interface org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessor
`postProcessAfterInstantiation, postProcessBeforeInstantiation, postProcessPropertyValues`

Methods inherited from interface org.springframework.beans.factory.config.BeanPostProcessor
`postProcessAfterInitialization, postProcessBeforeInitialization`

Method Detail

### predictBeanType

    Class predictBeanType(Class beanClass,
                          String beanName)
                          throws BeansException

  Predict the type of the bean to be eventually returned from this processor's `InstantiationAwareBeanPostProcessor.postProcessBeforeInstantiation(java.lang.Class, java.lang.String)` callback.

  Parameters:
    `beanClass` - the raw class of the bean
    `beanName` - the name of the bean
  Returns:
    the type of the bean, or `null` if not predictable
  Throws:
    `BeansException` - in case of errors

### determineConstructor

    Constructor determineConstructor(Class beanClass,
                                     String beanName)
                                     throws BeansException

  Determine the constructor to use for the given bean.

  Parameters:
    `beanClass` - the raw class of the bean
    `beanName` - the name of the bean
  Returns:
    the constructor to use, or `null` if none specified
  Throws:
    `BeansException` - in case of errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.